> For the complete documentation index, see [llms.txt](https://docs.renfter.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.renfter.com/developers/integration/smart-contracts/functionality-specific-details/token-rental-status-check.md).

# Token rental status check

Internally, Renfter protocol stores crucial protocol data using data types specific for Solidity language, but also by using common types like structures, which could contain multiple primary data types and store them in an efficient and semantically correct way.

In order to check rental status, one must call the following method of Renfter smart contract:

```solidity
 function getRentDetails(address wContract, uint256 tokenId)
        external
        view
        returns (RentDetails memory);
```

The description of the method, as well <mark style="color:red;">`RentDetails`</mark> structure, can be found on [Documentation](/developers/integration/smart-contracts/documentation.md) page.

For retrieved <mark style="color:red;">`RentalDetails`</mark> object, the following rules should be followed:

* If <mark style="color:red;">`object.expirationTs`</mark> zero, the token is not rented
* If <mark style="color:red;">`object.exiprationTs`</mark> is value different than zero, the token is rented out


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.renfter.com/developers/integration/smart-contracts/functionality-specific-details/token-rental-status-check.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
